Loading...
Searching...
No Matches
EST_TDeque< T > Class Template Reference

`#include <include/EST_TDeque.h>`

## Public Member Functions

| EST_TDeque (unsigned int capacity, unsigned int increment)
| EST_TDeque (unsigned int capacity)
void | clear (void)
| Empty it out.
bool | is_empty (void) const
| Is there anything to get?
ostream & | print (ostream &s) const
| print picture of state. Mostly useful for debugging.
stack
An interface looking like a stack.
void | push (T &item)
T & | pop (void)
T & | nth (int i)
inverse stack
The other end as a stack.
void | back_push (T &item)
T & | back_pop (void)
queue
An interface looking like a queue.
void | add (T &item)
T & | next ()
T & | last ()

## Static Public Attributes

static const T * | Filler
| Used to fill empty spaces when possible.

## perl

For people who think in perl
void | unshift (T &item)
T & | shift ()
ostream & | operator<< (ostream &st, const EST_TDeque< T > &deq)

## Detailed Description

template<class T>
class EST_TDeque< T >

Double ended queue.

Author
  Richard Caley rjc@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk

Version

Id
  EST_TDeque.h,v 1.3 2006/07/19 21:52:12 awb Exp

Definition at line 48 of file EST_TDeque.h.

## Constructor & Destructor Documentation

## EST_TDeque() [1/3]

template<class T>

EST_TDeque< T >::EST_TDeque | ( | unsigned int | capacity,
|  | unsigned int | increment )

Definition at line 48 of file EST_TDeque.cc.

## EST_TDeque() [2/3]

template<class T>

EST_TDeque< T >::EST_TDeque | ( | unsigned int | capacity | ) |

Definition at line 57 of file EST_TDeque.cc.

## EST_TDeque() [3/3]

template<class T>

EST_TDeque< T >::EST_TDeque | ( | void |  | ) |

Definition at line 66 of file EST_TDeque.cc.

## Member Function Documentation

## clear()

template<class T>

void EST_TDeque< T >::clear | ( | void |  | ) |

Empty it out.

Definition at line 140 of file EST_TDeque.cc.

## is_empty()

template<class T>

bool EST_TDeque< T >::is_empty | ( | void |  | ) | const

Is there anything to get?

Definition at line 134 of file EST_TDeque.cc.

## print()

template<class T>

ostream & EST_TDeque< T >::print | ( | ostream & | s | ) | const

print picture of state. Mostly useful for debugging.

Definition at line 76 of file EST_TDeque.cc.

## push()

template<class T>

void EST_TDeque< T >::push | ( | T & | item | ) |

Definition at line 148 of file EST_TDeque.cc.

## pop()

template<class T>

T & EST_TDeque< T >::pop | ( | void |  | ) |

Definition at line 167 of file EST_TDeque.cc.

## nth()

template<class T>

T & EST_TDeque< T >::nth | ( | int | i | ) |

Definition at line 180 of file EST_TDeque.cc.

## back_push()

template<class T>

void EST_TDeque< T >::back_push | ( | T & | item | ) |

Definition at line 204 of file EST_TDeque.cc.

## back_pop()

template<class T>

T & EST_TDeque< T >::back_pop | ( | void |  | ) |

Definition at line 223 of file EST_TDeque.cc.

## add()

template<class T>

void EST_TDeque< T >::add | ( | T & | item | ) |

inline

Definition at line 99 of file EST_TDeque.h.

## next()

template<class T>

T & EST_TDeque< T >::next | ( |  | ) |

inline

Definition at line 100 of file EST_TDeque.h.

## last()

template<class T>

T & EST_TDeque< T >::last | ( |  | ) |

inline

Definition at line 101 of file EST_TDeque.h.

## unshift()

template<class T>

void EST_TDeque< T >::unshift | ( | T & | item | ) |

inline

Definition at line 109 of file EST_TDeque.h.

## shift()

template<class T>

T & EST_TDeque< T >::shift | ( |  | ) |

inline

Definition at line 110 of file EST_TDeque.h.

## Friends And Related Symbol Documentation

## operator<<

template<class T>

ostream & operator<< | ( | ostream & | st,
|  | const EST_TDeque< T > & | deq )

friend

Definition at line 113 of file EST_TDeque.h.

## Member Data Documentation

## Filler

template<class T>

const T* EST_TDeque< T >::Filler

static

Used to fill empty spaces when possible.

Definition at line 64 of file EST_TDeque.h.

The documentation for this class was generated from the following files:

- include/EST_TDeque.h
- base_class/EST_TDeque.cc